package com.ruoyi.system.entity;

import java.sql.Blob;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 流程定义对象 bpm_process
 *
 * @author ruoyi
 * @date 2023-10-10
 */
public class BpmProcess extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long processId;

    /**
     * 流程名称
     */
    @Excel(name = "流程名称")
    private String processName;

    /**
     * 流程别名
     */
    @Excel(name = "流程别名")
    private String processKey;

    /**
     * 流程开启状态
     */
    @Excel(name = "流程开启状态")
    private Long processOpneState;

    /**
     * 流程类型。例如（OA类型，mes类型）
     */
    @Excel(name = "流程类型。例如", readConverterExp = "O=A类型，mes类型")
    private Long processType;

    /**
     * 流程部署时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "流程部署时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date processDeployTime;

    /**
     * 启动事件类型
     */
    @Excel(name = "启动事件类型")
    private Long startEventType;

    /**
     * 版本注释
     */
    @Excel(name = "版本注释")
    private String note;

    /**
     * 版本状态（0代表最新版本，1代表历史版本）
     */
    @Excel(name = "版本状态", readConverterExp = "0=代表最新版本，1代表历史版本")
    private Long processVersion;

    /**
     * xml流文件
     */
    @Excel(name = "xml流文件")
    private String processXml;

    /**
     * 节点json串
     */
    @Excel(name = "节点json串")
    private String processJson;

    /**
     * xml标签内容
     */
    @Excel(name = "xml标签内容")
    private String processXmlContent;

    /**
     * xml文件存放地址
     */
    @Excel(name = "xml文件存放地址")
    private String processXmlPath;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    public void setProcessId(Long processId) {
        this.processId = processId;
    }

    public Long getProcessId() {
        return processId;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessKey(String processKey) {
        this.processKey = processKey;
    }

    public String getProcessKey() {
        return processKey;
    }

    public void setProcessOpneState(Long processOpneState) {
        this.processOpneState = processOpneState;
    }

    public Long getProcessOpneState() {
        return processOpneState;
    }

    public void setProcessType(Long processType) {
        this.processType = processType;
    }

    public Long getProcessType() {
        return processType;
    }

    public void setProcessDeployTime(Date processDeployTime) {
        this.processDeployTime = processDeployTime;
    }

    public Date getProcessDeployTime() {
        return processDeployTime;
    }

    public void setStartEventType(Long startEventType) {
        this.startEventType = startEventType;
    }

    public Long getStartEventType() {
        return startEventType;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getNote() {
        return note;
    }

    public void setProcessVersion(Long processVersion) {
        this.processVersion = processVersion;
    }

    public Long getProcessVersion() {
        return processVersion;
    }

    public void setProcessXml(String processXml) {
        this.processXml = processXml;
    }

    public String getProcessXml() {
        return processXml;
    }

    public void setProcessJson(String processJson) {
        this.processJson = processJson;
    }

    public String getProcessJson() {
        return processJson;
    }

    public void setProcessXmlContent(String processXmlContent) {
        this.processXmlContent = processXmlContent;
    }

    public String getProcessXmlContent() {
        return processXmlContent;
    }

    public void setProcessXmlPath(String processXmlPath) {
        this.processXmlPath = processXmlPath;
    }

    public String getProcessXmlPath() {
        return processXmlPath;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("processId", getProcessId())
                .append("processName", getProcessName())
                .append("processKey", getProcessKey())
                .append("processOpneState", getProcessOpneState())
                .append("processType", getProcessType())
                .append("processDeployTime", getProcessDeployTime())
                .append("startEventType", getStartEventType())
                .append("note", getNote())
                .append("processVersion", getProcessVersion())
                .append("processXml", getProcessXml())
                .append("processJson", getProcessJson())
                .append("processXmlContent", getProcessXmlContent())
                .append("processXmlPath", getProcessXmlPath())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .append("remark", getRemark())
                .toString();
    }
}
